#!/usr/bin/env Rscript


# ---------------------------------------------------------------------
# Load R packages
# ---------------------------------------------------------------------

### Load required packages
### If needed, install packages to my library, since the shared one at /panfs/roc/msisoft/R/4.1.0/lib64/R/library/ is not writable.
# install.packages('Seurat', lib='/panfs/jay/groups/3/lmnp/bmcc/R/x86_64-pc-linux-gnu-library/4.1')
# BiocManager::install("biomaRt", lib='/panfs/jay/groups/3/lmnp/bmcc/R/x86_64-pc-linux-gnu-library/4.1')
options(menu.graphics = FALSE)
set.seed(20)
library(tidyverse)
library(glue)
#library(vroom)



#######################################################################
# Script parameters
#######################################################################


# Clear out any objects from workspace
rm(list = ls(all.names = TRUE))


# Set R working directory
### !!! Make sure this has the correct capture appended.
proj_dir <- "/home/schwertf/shared/disaster_recovery/bmcc/braedan_AE_scrnaseq_220502"
setwd(proj_dir)


# Set up output directory and filename prefix
out_dir <- glue("{proj_dir}/code_out/021_samples")
prefix <- "021_"
if (!dir.exists(out_dir)) {dir.create(out_dir, recursive = TRUE)}



### Testing without Todd's custom functions. 
#source("/home/farrarm/shared/riss/todd_citeseq_nilotinib_pdl1_20210109/code/002_r_functions.R")



#######################################################################
# Analysis
#######################################################################


### !!! This metadata file needs to have several fields including:
###   "citeseq_application" with some fields set to "HTO" for 051_subset_by_sample
samples <- read_tsv(glue("{proj_dir}/input/metadata_C1C2.tsv")) %>% mutate(across(where(is_character),as_factor))
  

saveRDS(samples, file = glue("{out_dir}/{prefix}samples.rds"))



#######################################################################
# Save session info
#######################################################################


# ---------------------------------------------------------------------
# Save all R objects
# ---------------------------------------------------------------------

# save.image(file = glue("{out_dir}/{prefix}r_objects.RData"))



# ---------------------------------------------------------------------
# Write out session info
# ---------------------------------------------------------------------


#tk_write_session_info(glue("{out_dir}/{prefix}"))
